INCLUDE Story_LIB.s

// bot for Larissa

WORDGROUP w_larissa_items

PATTERNGROUP p_larissa EXTENDS p_person
_
_property i_name Larissa
_property i_sex female
_property i_pronoun she
_property i_possessive her
_property i_reflexive herself
_property i_objective her
_
_property i_item_list @w_larissa_items
_
_  // temp storage
_property i_list_ref |e|
_property i_item |e|
_property i_acting false    // am I initiating the action or receiving it...
_
_in _talk $talker $topic ~last_speech
  _if $topic ^= i_cur_topic
    _set i_speech_count = 0
    _set i_cur_topic = $topic
    _set i_acting = false
  _endif
  _if $topic = @p_love_letter
    _if $talker = @p_diego
      _if i_speech_count = 1
        _eval _child{_increment_speech_count}
        _if i_acting = false
          _out |t| |qs| Give it to me! |qe| |n|
          _out |t| |qs| You crook !  You thief !  How did I ever fall in love with you? |qe| |n|
        _else
          _out |t| |qs| I've shown you the truth.  Now leave this place.  Just leave! |qe| |n|
        _endif
        _out |t| |qs| You broke my heart... |qe| |n|
        _out |t| |qs| I have a right to my feelings. |qe| |n|
      _endif
      _if i_speech_count = 0
        _eval _child{_increment_speech_count}
        _if ~last_speech = |e|
          _out |t| Larissa unfolds the paper warily.  |qs| If you must know... here.  My soul is laid bare on this page. |qe| |n|
          _set i_acting = true
        _else
          _out |t| Larissa's eyes dilate.  |qs| Where'd you find THAT? |qe| |n|
          _set i_acting = false
        _endif
      _endif
    _endif
    _if $talker = @p_snell
      _if i_speech_count = 1
        _eval _child{_increment_speech_count}
        _if i_acting = false
          _out |t| |qs| That letter belongs to me. |qe| |n|
        _else
          _out |t| |qs| None of your business. |qe| |n|
          _out |t| |qs| You'll have to file a subpoena. |qe| |n|
        _endif
      _endif
      _if i_speech_count = 0
        _eval _child{_increment_speech_count}
        _if ~last_speech = |e|
          _out |t| Larissa turns suddenly, covering the letter with a deft movement of her arm . |n|
          _set i_acting = true
        _else
          _out |t| Larissa fixes Mr. Snell with her sharp eyes. |qs| What are you planning to do with THAT? |qe| |n|
          _set i_acting = false
        _endif
      _endif
    _endif
  _endif
_
_in _action $item $witness
  _if $item = @p_love_letter
    _if $witness = @p_diego
      _out |t| Larissa tears the letter in two, then four, then eight, then sixteen pieces, which she throws into Diego's face.  She turns and walks away. |n|
      _out |t| |qs| Take it! |qe| Larissa shoves the letter into Diego's hands.  |qs| More evidence for your lawyer. |qe| |n|
    _endif
    _if $witness = @p_snell
      _out |t| Larissa jerks her shoulder free of Mr. Snell's small sweaty hand and walks away . |n|
    _endif
  _endif

