INCLUDE Story_LIB.s

// bot for Diego, the Spanish paramour

WORDGROUP w_snell_items

WORDGROUP w_snell_legal_word
subpoena
contract
lawsuit

PATTERNGROUP p_snell EXTENDS p_person
_
_property i_name Mr. Snell
_property i_sex male
_property i_pronoun he
_property i_possessive his
_property i_reflexive himself
_property i_objective him
_
_property i_item_list @w_snell_items
_property i_acting false    // am I initiating the action or receiving it...
_
_  // temp storage
_property i_item |e|
_
_in _talk $talker $topic ~a you were right ~b
  _if i_speech_count ^= 0
    _out |t| |qs| Of course I was right . |qe| |n|
    _out |t| |qs| It never pays to doubt a Snell . |qe| |n|
  _endif
_
_in _talk $talker $topic ~a w_snell_legal_word ~b
  _if i_speech_count ^= 0
    _if $talker = @p_larissa
      _out |t| |qs| You're talking to a lawyer, dear .  $w_snell_legal_word1 is my middle name . |qe| |n|
      _out |t| |qs| A $w_snell_legal_word1 .  Oooo, scary. |qe| |n|
    _endif
    _if $talker = @p_diego
      _out |t| |qs| Yes -- the $w_snell_legal_word1 .  We think alike, my friend . |qe| |n|
    _endif
  _endif
_
_in _talk $talker $topic ~last_speech
  _if $topic ^= i_cur_topic
    _set i_speech_count = 0
    _set i_cur_topic = $topic
  _endif
  _if $topic = @p_love_letter
    _if $talker = @p_larissa
      _if i_speech_count = 1
        _eval _child{_increment_speech_count}
        _if i_acting = true
          _out |t| |qs| I'm afraid I must keep this document .  Your husband and I are old friends . |qe| |n|
        _else
          _out |t| |qs| Is something the matter ?  Perhaps I can be of some help . |qe| |n|
        _endif
      _endif
      _if i_speech_count = 0
        _eval _child{_increment_speech_count}
        _if ~last_speech = |e|
          _out |t| Mr. Snell wags the letter between his fingers like a cigarette . |qs| My dear Larissa, you are twice the woman I ever imagined . |qe| |n|
          _set i_acting = true
        _else
          _out |t| Mr. Snell clears his throat and comes closer .  |qs| What's that you have there ? |qe| |n|
          _set i_acting = false
        _endif
      _endif 
    _endif
    _if $talker = @p_diego
      _if i_speech_count = 1
        _eval _child{_increment_speech_count}
        _out |t| |qs| Leave this all up to me .  I will have some papers for you in the morning . |qe| |n|
      _endif
      _if i_speech_count = 0
        _eval _child{_increment_speech_count}
        _if ~last_speech = |e|
          _out |t| Mr. Snell greets his old friend with a practiced smile .  |qs| That matter we discussed ?  I have the proof right here . |qe| |n|
          _set i_acting = true
        _else
          _out |t| |qs| Hmmmm...  Let me see. |qe| |n|
          _set i_acting = false
        _endif
      _endif
    _endif
  _endif
_
_in _action $item $witness
  _if $item = @p_love_letter
    _if $witness = @p_larissa
      _out |t| Mr. Snell opens the letter, reads a few words, and chuckles to himself .  He walks away shaking his head . |n|
    _endif
    _if $witness = @p_diego
      _out |t| Mr. Snell claps a hand on Diego's shoulder .  |qs| You're taking this like a man .  Good . |qe| |n|
    _endif
  _endif