// This file draws on certain global variables to map semantic content
// into a sentence or phrase of a particular grammatical structure.

// w_noun, w_verb created automatically by the engine

WORDGROUP w_be
_verb LINKING to_be be \
              am was \
              are were \
              is was \
              are were \
              been being


WORDGROUP w_adjective
lovely

WORDGROUP w_conjunction
while
when
but
and
then

WORDGROUP w_singulararticle
the
a

WORDGROUP w_adverb
quickly

WORDGROUP w_preposition
of
in
on
under
over
against
inside
with
without
for

// add any irregular verbs here to ensure that they are conjugated correctly
WORDGROUP w_verb
_
_verb TRANSITIVE to_feel feel \
              feel felt \
              feel felt \
              feels felt \
              feel felt \
              felt feeling
_
_verb TRANSITIVE to_have have \
              have had \
              have had \
              has had \
              have had \
              had having
_
_verb TRANSITIVE to_hide hide \
              hide hid \
              hide hid \
              hides hid \
              hide hid \
              hidden hiding
_
_verb TRANSITIVE to_lay lay \
              lay laid \
              lay laid \
              lays laid \
              lay laid \
              laid laying
_
_verb INTRANSITIVE to_lie lie \
              lie lay \
              lie lay \
              lies lay \
              lie lay \
              lain lying
_
_verb TRANSITIVE to_rend rend \
              rend rent \
              rend rent \
              rends rent \
              rend rent \
              rended rending
_
_verb TRANSITIVE to_unwind unwind \
              unwind unwound \
              unwind unwound \
              unwinds unwound \
              unwind unwound \
              unwound unwinding
_
_verb INTRANSITIVE to_weep weep \
              weep wept \
              weep wept \
              weeps wept \
              weep wept \
              weeped weeping
_
_verb TRANSITIVE to_see see \
              see saw \
              see saw \
              sees saw \
              see saw \
              seen seeing
_
_verb INTRANSITIVE to_slumber slumber \
              slumber slumbered \
              slumber slumbered \
              slumbers slumbered \
              slumber slumbered \
              slumbered slumbering
_
_verb INTRANSITIVE to_stand stand \
              stand stood \
              stand stood \
              stands stood \
              stand stood \
              stood standing

// relies on hard-coding to not put a space before "'s"
PATTERNGROUP p_possessive
_in ~a
_out ~a 's

PATTERNGROUP f_possessive
_in ~a
_out ~a 's

// The next several grammargroups are for matching against multiword verb tenses

GRAMMARGROUP g_verb_first_present_progressive
am w_verb_participle

CONST w_verb_first_present_progressive g_verb_first_present_progressive  /* ugly hack */

GRAMMARGROUP g_verb_second_present_progressive
are w_verb_participle

CONST w_verb_second_present_progressive g_verb_second_present_progressive  /* ugly hack */

GRAMMARGROUP g_verb_third_present_progressive
is w_verb_participle

CONST w_verb_third_present_progressive g_verb_third_present_progressive  /* ugly hack */

GRAMMARGROUP g_verb_plural_present_progressive
are w_verb_participle

CONST w_verb_plural_present_progressive g_verb_plural_present_progressive  /* ugly hack */

GRAMMARGROUP g_verb_first_past_progressive
was w_verb_participle

CONST w_verb_first_past_progressive g_verb_first_past_progressive  /* ugly hack */

GRAMMARGROUP g_verb_second_past_progressive
were w_verb_participle

CONST w_verb_second_past_progressive g_verb_second_past_progressive  /* ugly hack */

GRAMMARGROUP g_verb_third_past_progressive
was w_verb_participle

CONST w_verb_third_past_progressive g_verb_third_past_progressive  /* ugly hack */

GRAMMARGROUP g_verb_plural_past_progressive
were w_verb_participle

CONST w_verb_plural_past_progressive g_verb_plural_past_progressive  /* ugly hack */

