INCLUDE Story_LIB.s

// bot for Diego, the Spanish paramour

WORDGROUP w_diego_items

WORDGROUP w_diego_feeling_word
heart
feelings
life
love
soul

WORDGROUP w_diego_exasperation_phrase
Diego pulls his hair .
Diego's face flushes bright red.
Diego paces.
Nothing could have set Diego off like this one statement.

PATTERNGROUP p_diego EXTENDS p_person
_
_property i_name Diego
_property i_sex male
_property i_pronoun he
_property i_possessive his
_property i_reflexive himself
_property i_objective him
_
_property i_item_list @w_diego_items
_property i_acting false    // am I initiating the action or receiving it...
_
_  // temp storage
_property i_item |e|
_
_in _talk @p_larissa $topic ~a my w_diego_feeling_word ~b
  _if i_speech_count ^= 0
    _eval _child{_increment_speech_count}
    _out |t| w_diego_exasperation_phrase |qs| Your $w_diego_feeling_word1 !  Your $w_diego_feeling_word1 !  Oh for Christ's sake! |qe| |n|
    _out |t| w_diego_exasperation_phrase |qs| What about MY $w_diego_feeling_word1 ? |qe| |n|
    _out |t| |qs| Yeah ?  What about MY $w_diego_feeling_word1 ? |qe| w_diego_exasperation_phrase |n|
    _out |t| |qs| Your $w_diego_feeling_word1 !  Your $w_diego_feeling_word1 !  Oh for Christ's sake! |qe| w_diego_exasperation_phrase |n|
  _endif
_
_in _talk @p_larissa $topic ~a w_diego_feeling_word ~b
  _if i_speech_count ^= 0
    _eval _child{_increment_speech_count}
    _out |t| w_diego_exasperation_phrase |qs| Don't talk to me about $w_diego_feeling_word1 !  You, of all people... |qe| |n|
    _out |t| |qs| Don't talk to me about $w_diego_feeling_word1 !  You, of all people... |qe| w_diego_exasperation_phrase |n|
  _endif
_
_in _talk $talker $topic ~last_speech
  _if $topic ^= i_cur_topic
    _set i_speech_count = 0
    _set i_cur_topic = $topic
  _endif
  _if $topic = @p_love_letter
    _if $talker = @p_larissa
      _if i_speech_count = 1
        _eval _child{_increment_speech_count}
        _out |t| |qs| Filthy-minded urchin... |qe| |n|
        _out |t| |qs| I knew long ago, by the way.  I'm no fool. |qe| |n|
      _endif
      _if i_speech_count = 0
        _eval _child{_increment_speech_count}
        _if ~last_speech = |e|
          _out |t| Diego twirls his mustache.  |qs| Well, look what I found.  Care to comment? |qe| |n|
        _else
          _out |t| Diego scratches his chin.  |qs| Why, thank you for confiding in me.  You can trust I will be discreet. |qe| |n|
        _endif
      _endif 
    _endif
    _if $talker = @p_snell
      _if i_speech_count = 1
        _eval _child{_increment_speech_count}
        _out |t| |qs| You've never let me down before... |qe| |n|
        _out |t| |qs| I'm trusting you with my life on this one... |qe| |n|
        _out |t| |qs| You know that I don't want any trouble from my marriage contract . |qe| |n|
      _endif
      _if i_speech_count = 0
        _eval _child{_increment_speech_count}
        _if ~last_speech = |e|
          _out |t| |qs| Snell, my man!  There's been an interesting development. |qe| |n|
          _out |t| Mr. Snell watches as his old friend takes the letter out of the jacket pocket.  |qs| You were right , |qe| Diego says. |n|
          _set i_acting = true
        _else
          _out |t| Diego takes a good long look at the pale, perfumed paper.  |qs| What do we do ? |qe| |n|
          _out |t| |qs| I see, |qe| Diego says, reading.  |qs| I see.  Where do I stand, legally speaking? |qe| |n|
          _set i_acting = false
        _endif
      _endif
    _endif
  _endif
_
_in _action $item $witness
  _if $item = @p_love_letter
    _if $witness = @p_larissa
      _out |t| Diego folds the letter carefully and tucks it into a breast pocket.  |qs| See you in court, my dear. |qe| |n|
      _out |t| Diego holds the letter to his nose.  |qs| Mmmmm, lovely aroma.  I think I will have it analyzed. |qe| |n|
    _endif
    _if $witness = @p_snell
      _out |t| Mr. Snell accepts the letter, folds it, and slips it into the inside pocket of his tweed jacket.  With his small white hand he pats it affectionately against his heart . |n|
    _endif
  _endif