INCLUDE RiotStreet_LIB.s
INCLUDE Shannon_BOT.s
INCLUDE Kyle_BOT.s

WORDGROUP w_character
p_shannon
p_kyle

CONST c_hero w_character
CONST c_victim w_character

WORDGROUP w_problem
p_problem_broken_foot
p_problem_need_bandages

// p_problem_need_money

CONST c_victim_problem w_problem {_init @c_victim}
// CONST c_problem2 w_problem {_init @c_hero}

// CONST c_hero_ref @p_shannon

//GRAMMARGROUP g_story
//c_hero { _ApplyPronoun p_person_perceives_stimulus {@c_hero p_riotstreet {_stimulus} past} }.

GRAMMARGROUP g_story
p_person_perceives_stimulus {@c_hero p_riotstreet {_stimulus} past} . p_riotstreet {_main_clause} .
p_riotstreet {_main_clause} . p_person_perceives_stimulus {@c_hero p_riotstreet {_stimulus} past} .

// GRAMMARGROUP g_story
// c_problem {_main_clause owner} . c_problem {_main_clause problem} . c_problem2 {_main_clause owner} . c_problem2 {_main_clause problem} .

// GRAMMARGROUP g_story
// c_hero->i_name ran into c_victim->i_name, c_victim_problem {_subordinate_clause owner} .

WRITE
g_story

/*******************************************************/

// TBD: move to another file?

WORDGROUP w_broken_foot_adjective
swollen
blue
bent
tender
weak
ruined

WORDGROUP w_broken_foot_owner_adjective
miserable
hurt
depressed
furious
aggravated
desperate
deteriorating
downcast

WORDGROUP w_broken_foot_intrans_verb
swell
ache
throb

WORDGROUP w_broken_foot_trans_verb
hinder
exasperate
frustrate
encumber
hurt
torture

PATTERNGROUP p_problem_broken_foot EXTENDS p_problem
_
_in _problem_noun
_out broken foot
_
_in _trans_verb
_if i_subject = problem
  _out w_broken_foot_trans_verb
_else
  _out have
_endif
_
_in _intrans_verb
_if i_subject = problem
  _out w_broken_foot_intrans_verb
_else
  _out nil
_endif
_
_in _adverb
_out |e|  // turn off adverbs
_
_in _adjective
_if i_subject = problem
  _out w_broken_foot_adjective
_else
  _out w_broken_foot_owner_adjective
_endif
_
_in _problem_adjective
_out w_broken_foot_adjective
_
_in _prepositional_phrase
_out |e|

/*******************************************************/

WORDGROUP w_need_bandages_noun
bandages
medical wrappings

WORDGROUP w_need_bandages_adjective
soaked
frayed
torn
loose
dangling
useless
unwrapped

WORDGROUP w_need_bandages_owner_adjective
hurt
bleeding
wounded
aggravated
faint
feverish
sweating

WORDGROUP w_need_bandages_intrans_verb
unwind
unravel

WORDGROUP w_need_bandages_trans_verb
encumber
distress
worry
concern
plague
pain
expose
reveal
unhide
unveil

PATTERNGROUP p_problem_need_bandages EXTENDS p_problem
_
_property i_problem_count plural
_
_in _problem_noun
_out w_need_bandages_noun
_
_in _problem_article
_out |e|
_
_in _trans_verb
_if i_subject = problem
  _out w_need_bandages_trans_verb
_else
  _out have
_endif
_
_in _intrans_verb
_if i_subject = problem
  _out w_need_bandages_intrans_verb
_else
  _out nil
_endif
_
_in _adverb
_out |e|  // turn off adverbs
_
_in _adjective
_if i_subject = problem
  _out w_need_bandages_adjective
_else
  _out w_need_bandages_owner_adjective
_endif
_
_in _problem_adjective
_out w_need_bandages_adjective
_
_in _prepositional_phrase
_if i_subject = problem
  _out around i_owner->i_possessive head
  _out around i_owner->i_possessive arm
_else
  _out |e|
_endif
_
_in _problem_direct_object ~a
_if ~a ~= expose reveal unhide unveil   // TBD: make wound a p_thing
  _out i_owner->i_possessive black wound
  _out i_owner->i_possessive bleading wound
  _out a deep gash
  _out a festering sore
_else
  _out i_owner->i_objective
_endif
